Package org.eclipse.mat.inspections

## Class CommonNameResolver.AtomicReferenceValueResolver

- java.lang.Object
- - org.eclipse.mat.inspections.CommonNameResolver.AtomicReferenceValueResolver

All Implemented Interfaces:
  `IClassSpecificNameResolver`

Enclosing class:
  CommonNameResolver

    public static class CommonNameResolver.AtomicReferenceValueResolver
    extends Object
    implements IClassSpecificNameResolver

### Constructor Summary

Constructors
`AtomicReferenceValueResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `resolve​(IObject heapObject)` Resolve the name for snapshot object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtomicReferenceValueResolver

    public AtomicReferenceValueResolver()

### Method Detail

#### resolve

    public String resolve​(IObject heapObject)
                   throws SnapshotException

Description copied from interface: `IClassSpecificNameResolver`
Resolve the name for snapshot object.

Specified by:
  `resolve` in interface `IClassSpecificNameResolver`
Parameters:
  `heapObject` - object for which the name should be resolved
Returns:
  name for snapshot object
Throws:
  `SnapshotException`